Bug 1017964 - [abrt] anjuta-3.10.0-1.fc20: build_configuration_get_variables: Process /usr/bin/anjuta was killed by signal 11 (SIGSEGV)
[abrt] anjuta-3.10.0-1.fc20: build_configuration_get_variables: Process /usr/...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anjuta (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cosimo Cecchi
Fedora Extras Quality Assurance
abrt_hash:c52a749c189e62fd48ca477b53a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 16:55 EDT by f.alexander.wilms
Modified: 2015-06-29 08:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:36:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.60 KB, text/plain)
2013-10-10 16:55 EDT, f.alexander.wilms
no flags Details
File: cgroup (159 bytes, text/plain)
2013-10-10 16:56 EDT, f.alexander.wilms
no flags Details
File: core_backtrace (26.10 KB, text/plain)
2013-10-10 16:56 EDT, f.alexander.wilms
no flags Details
File: dso_list (13.14 KB, text/plain)
2013-10-10 16:56 EDT, f.alexander.wilms
no flags Details
File: environ (1.38 KB, text/plain)
2013-10-10 16:56 EDT, f.alexander.wilms
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-10 16:56 EDT, f.alexander.wilms
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-10 16:56 EDT, f.alexander.wilms
no flags Details
File: maps (40.27 KB, text/plain)
2013-10-10 16:56 EDT, f.alexander.wilms
no flags Details
File: open_fds (2.20 KB, text/plain)
2013-10-10 16:56 EDT, f.alexander.wilms
no flags Details
File: proc_pid_status (791 bytes, text/plain)
2013-10-10 16:56 EDT, f.alexander.wilms
no flags Details
File: var_log_messages (866 bytes, text/plain)
2013-10-10 16:56 EDT, f.alexander.wilms
no flags Details

  None (edit)
Description f.alexander.wilms 2013-10-10 16:55:54 EDT
Description of problem:
I tried compiling this:

#include <stdio.h>

int main( Void )
{
	printf("Bitte drei unterschiedliche Zahlen eingeben:");
	int test = getchar();
	printf( test);
	int int1 = 13;
	int int2 = 27;
	int int3 = 14;
	int sum = int1 + int2 + int3;
	int avg = sum / 3;
	int prod= int1 * int2 * int3;
	int max;
	int min;
	if(int1 >= int2 && int1 >= int3) // int1 ist max
	{
		max = int1;
		if (int2 <= int3)
		{
			min = int2;
		} else
		{
			min = int3;
		}
	} else if(int2 >= int1 && int2 >= int3) // int2 ist max
	{
		max = int2;
		if(int1 <= int3)
		{
			min = int1;
		} else
		{
			min = int3;
		}
	} else // int3 ist max
	{
		max = int3;
		if(int1 <= int2)
		{
			min = int1;
		} else
		{
			min = int2;
		}
	}
	printf ( "Die Summe ist %d\n", sum);
	printf ( "Der Mittelwert ist %d\n", avg);
	printf ( "Das Produkt ist %d\n", prod);
	printf ( "Der kleinste Wert ist %d\n", min);
	printf ( "Der groesste Wert ist %d\n", max);
}

At first, it worked, but then Anjuta crashed after clicking on the compile button

Version-Release number of selected component:
anjuta-3.10.0-1.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        anjuta
crash_function: build_configuration_get_variables
executable:     /usr/bin/anjuta
kernel:         3.11.3-301.fc20.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 build_configuration_get_variables at configuration-list.c:496
 #1 build_build_file_or_dir at build.c:569
 #2 build_configure_and_build at build.c:1188
 #3 on_build_project at plugin.c:1442
 #9 _gtk_action_emit_activate at deprecated/gtkaction.c:905
 #10 gtk_action_activate at deprecated/gtkaction.c:938
 #11 button_clicked at gtktoolbutton.c:909
 #12 g_cclosure_marshal_VOID__VOIDv at gmarshal.c:115
 #13 _g_closure_invoke_va at gclosure.c:840
 #16 gtk_button_clicked at gtkbutton.c:1429
Comment 1 f.alexander.wilms 2013-10-10 16:55:59 EDT
Created attachment 810765 [details]
File: backtrace
Comment 2 f.alexander.wilms 2013-10-10 16:56:02 EDT
Created attachment 810766 [details]
File: cgroup
Comment 3 f.alexander.wilms 2013-10-10 16:56:06 EDT
Created attachment 810767 [details]
File: core_backtrace
Comment 4 f.alexander.wilms 2013-10-10 16:56:22 EDT
Created attachment 810768 [details]
File: dso_list
Comment 5 f.alexander.wilms 2013-10-10 16:56:25 EDT
Created attachment 810769 [details]
File: environ
Comment 6 f.alexander.wilms 2013-10-10 16:56:29 EDT
Created attachment 810770 [details]
File: exploitable
Comment 7 f.alexander.wilms 2013-10-10 16:56:32 EDT
Created attachment 810771 [details]
File: limits
Comment 8 f.alexander.wilms 2013-10-10 16:56:37 EDT
Created attachment 810772 [details]
File: maps
Comment 9 f.alexander.wilms 2013-10-10 16:56:40 EDT
Created attachment 810773 [details]
File: open_fds
Comment 10 f.alexander.wilms 2013-10-10 16:56:43 EDT
Created attachment 810774 [details]
File: proc_pid_status
Comment 11 f.alexander.wilms 2013-10-10 16:56:47 EDT
Created attachment 810775 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2015-05-29 05:33:17 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-06-29 08:36:51 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.